> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger data classification for a table

> Kick off an AI classification crew for the specified table.



## OpenAPI

````yaml post /api/metastore/classify/{catalog}/{schema}/{table}
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/metastore/classify/{catalog}/{schema}/{table}:
    post:
      tags:
        - Metastore
      summary: Trigger data classification for a table
      description: Kick off an AI classification crew for the specified table.
      operationId: classify_table_api_metastore_classify__catalog___schema___table__post
      parameters:
        - name: catalog
          in: path
          required: true
          schema:
            type: string
            description: Catalog name.
            title: Catalog
          description: Catalog name.
        - name: schema
          in: path
          required: true
          schema:
            type: string
            description: Schema name.
            title: Schema
          description: Schema name.
        - name: table
          in: path
          required: true
          schema:
            type: string
            description: Table name.
            title: Table
          description: Table name.
        - name: X-Correlation-ID
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Correlation-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrewRunResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    CrewRunResponse:
      properties:
        correlation_id:
          type: string
          title: Correlation Id
        status:
          $ref: '#/components/schemas/CrewRunStatusEnum'
          default: pending
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      required:
        - correlation_id
      title: CrewRunResponse
      description: Response returned after a crew run starts.
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CrewRunStatusEnum:
      type: string
      enum:
        - pending
        - running
        - completed
        - failed
      title: CrewRunStatusEnum
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````